Name:       ocaml-extlib
Version:    1.7.0
Release:    %mkrel 2
Summary:    Extended Standard Library for OCaml
License:    LGPLv2 with linking exceptions
Group:      Development/OCaml
URL:        https://github.com/ygrek/ocaml-extlib
Source0:    https://github.com/ygrek/ocaml-extlib/archive/%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-cppo
Obsoletes:  ocaml-extlib_min < 1.6.0-2


%description
ExtLib is a project aiming at providing a complete - yet small - standard
library for the OCaml programming language. The purpose of this library is to
add new functions to OCaml Standard Library modules, to modify some functions
in order to get better performances or more safety (tail-recursive) but also to
provide new modules which should be useful for the average OCaml programmer. 

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Obsoletes:  ocaml-extlib_min-devel < 1.6.0-2

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
cd src
make build
make opt
make doc

%install
cd src
install -d -m 755 %{buildroot}/%{_libdir}/ocaml
make VERSION=%{version} install OCAMLFIND_DESTDIR="%{buildroot}/%{_libdir}/ocaml"
# rename doc directory
mv doc apidoc-html
# also install additional stuff that we want
install -m 755 extLib.cmi %{buildroot}/%{_libdir}/ocaml/extlib/
install -m 644 *.ml %{buildroot}/%{_libdir}/ocaml/extlib/

%files
%doc README LICENSE
%doc src/apidoc-html
%dir %{_libdir}/ocaml/extlib
%{_libdir}/ocaml/extlib/META
%{_libdir}/ocaml/extlib/*.cmi
%{_libdir}/ocaml/extlib/*.cma

%files devel
%{_libdir}/ocaml/extlib/*.a
%{_libdir}/ocaml/extlib/*.cmxa
%{_libdir}/ocaml/extlib/*.cmxs
%{_libdir}/ocaml/extlib/*.cmx
%{_libdir}/ocaml/extlib/*.mli
%{_libdir}/ocaml/extlib/*.ml


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.7.0-2.mga6
+ Revision: 1056333
- Rebuild for fix in ocaml

* Mon Feb 08 2016 pterjan <pterjan> 1.7.0-1.mga6
+ Revision: 950681
- Add missing BuildRequires
- Update to 1.7.0

* Fri Jan 29 2016 pterjan <pterjan> 1.6.1-4.mga6
+ Revision: 928998
- Fix BuildRequires
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.6.1-3.mga5
+ Revision: 748677
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.1-2.mga5
+ Revision: 683027
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.6.1-1.mga5
+ Revision: 673928
- add BR on camlp4
- update to 1.6.1

  + blue_prawn <blue_prawn>
    - split for the minimal version of the extlib
    - updated to last version 1.6.0

* Sat Oct 19 2013 umeabot <umeabot> 1.5.4-3.mga4
+ Revision: 533883
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 1.5.4-2.mga4
+ Revision: 475744
- rebuild for ocaml-4.01.0
- updated to last version 1.5.4
- updated to last version 1.5.4

* Sat Jan 12 2013 umeabot <umeabot> 1.5.3-4.mga3
+ Revision: 361301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 malo <malo> 1.5.3-3.mga3
+ Revision: 337883
- add missing interface file (cmi) file

* Sat Dec 01 2012 malo <malo> 1.5.3-2.mga3
+ Revision: 324231
- rebuild for new ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.5.3-1.mga3
+ Revision: 301438
- updated to last version 1.5.3
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.5.2-2.mga3
+ Revision: 300082
- new rpm group for ocaml
- Documentation RPM group
- More precise licensing informations.

* Sun Oct 02 2011 shlomif <shlomif> 1.5.2-1.mga2
+ Revision: 151043
- New version - thanks to Malo.

* Sat Apr 30 2011 misc <misc> 1.5.1-4.mga1
+ Revision: 93947
- increase Release so we can upgrad efrom Mandriva

* Mon Mar 07 2011 saispo <saispo> 1.5.1-1.mga1
+ Revision: 66102
- imported package ocaml-extlib

